summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-11-24 15:47:34 -0500
committerMike Frysinger <vapier@gentoo.org>2015-11-24 17:01:27 -0500
commita5371bbe754e942377e7778e715ebe7ce3126a31 (patch)
tree9ae246246de1ded3d64e9953ec5e4fb6e7682429 /sys-process
parentstandardize various metadata.xml style (diff)
downloadgentoo-a5371bbe754e942377e7778e715ebe7ce3126a31.tar.gz
gentoo-a5371bbe754e942377e7778e715ebe7ce3126a31.tar.bz2
gentoo-a5371bbe754e942377e7778e715ebe7ce3126a31.zip
sys-process/procps, sys-apps/{coreutils,util-linux}: add USE=kill to install `kill` #566264
Diffstat (limited to 'sys-process')
-rw-r--r--sys-process/procps/metadata.xml1
-rw-r--r--sys-process/procps/procps-3.3.11-r3.ebuild17
2 files changed, 14 insertions, 4 deletions
diff --git a/sys-process/procps/metadata.xml b/sys-process/procps/metadata.xml
index dca0e7b6e99..f841e54968e 100644
--- a/sys-process/procps/metadata.xml
+++ b/sys-process/procps/metadata.xml
@@ -3,6 +3,7 @@
<pkgmetadata>
<herd>base-system</herd>
<use>
+ <flag name='kill'>Build the kill program</flag>
<flag name='modern-top'>Enables new startup defaults of top. Keeps old defaults if disabled</flag>
<flag name='ncurses'>Build programs that use ncurses: top, slabtop, watch</flag>
</use>
diff --git a/sys-process/procps/procps-3.3.11-r3.ebuild b/sys-process/procps/procps-3.3.11-r3.ebuild
index ecf5d10b30a..b0fc16baa17 100644
--- a/sys-process/procps/procps-3.3.11-r3.ebuild
+++ b/sys-process/procps/procps-3.3.11-r3.ebuild
@@ -18,16 +18,21 @@ https://gitlab.com/procps-ng/procps/commit/b2f49b105d23c833d733bf7dfb99cb98e4cae
LICENSE="GPL-2"
SLOT="0/5" # libprocps.so
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~ia64-linux ~x86-linux"
-IUSE="+ncurses modern-top nls selinux static-libs systemd test unicode"
+IUSE="+kill +ncurses modern-top nls selinux static-libs systemd test unicode"
-RDEPEND="!<sys-apps/sysvinit-2.88-r6
- ncurses? ( >=sys-libs/ncurses-5.7-r7:=[unicode?] )
+RDEPEND="ncurses? ( >=sys-libs/ncurses-5.7-r7:=[unicode?] )
selinux? ( sys-libs/libselinux )
systemd? ( >=sys-apps/systemd-209 )"
DEPEND="${RDEPEND}
ncurses? ( virtual/pkgconfig )
systemd? ( virtual/pkgconfig )
test? ( dev-util/dejagnu )"
+RDEPEND+="
+ kill? (
+ !sys-apps/coreutils[kill]
+ !sys-apps/util-linux[kill]
+ )
+ !<sys-apps/sysvinit-2.88-r6"
S="${WORKDIR}/${PN}-ng-${PV}"
@@ -45,6 +50,7 @@ src_prepare() {
src_configure() {
econf \
--docdir='$(datarootdir)'/doc/${PF} \
+ $(use_enable kill) \
$(use_enable modern-top) \
$(use_with ncurses) \
$(use_enable nls) \
@@ -63,7 +69,10 @@ src_install() {
#dodoc sysctl.conf
dodir /bin
- mv "${ED}"/usr/bin/{ps,kill} "${ED}"/bin || die
+ mv "${ED}"/usr/bin/ps "${ED}"/bin/ || die
+ if use kill; then
+ mv "${ED}"/usr/bin/kill "${ED}"/bin/ || die
+ fi
gen_usr_ldscript -a procps
prune_libtool_files